package com.hzya.frame.plugin.lets.ofsvo;

import lombok.Data;

/**
 * OFS调整出库请求类
 */
@Data
public class QueryOfsStockoutOrderRequestVO {
    /** 开始时间 */
    private String created_start;
    /** 结束时间 */
    private String created_end;

    private String closedAt_start;
    private String closedAt_end;
    private String shipAt_start;
    private String shipAt_end;

    /** 组织 */
    private String clientCode;
    /** 库单号 */
    private String code;
    /** 状态 100订单池 500待同步 510已同步 900入库完成 400待合单 700发货中 200审单中 888拦截中 999异常 650已下沉 */
    private String status;
    /** 出库单类型 SALES销售 EXCHANGE换货 REISSUE补发RETURN销退 PURCHASE采购 PURCHASE_RETURN采退 TRANSFER调拨 WORK_ORDER加工 OTHER其他 ADJUST调整 EXCHANGE换货 */
    private String internalInstructionType;
    /** 原订单类型 */
    private String refOrderType;
    /** 关联订单号 */
    private String refOrderCode;
    /** 货主 */
    private String companyCode;
    /** 库存地点 */
    private String facilityCode;
    /** 分页页数 */
    private Long pageNo;
    /** 每页条数 1-500,默认50 */
    private Long pageSize;

}
