package com.hzya.frame.report.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * O无源件订单中台主表(OfsPassiveorderHeader)实体类
 *
 * @author makejava
 * @since 2025-03-12 09:39:53
 */
public class OfsPassiveorderHeaderEntity extends BaseEntity {
    /**
     * 客户端编码(示例值:LETS)[1](@ref)
     */
    private String clientcode;
    /**
     * 公司编码(示例值:SHLZ)[1](@ref)
     */
    private String companycode;
    /**
     * 仓库设施编码(示例值:B2CHA20240033)[1](@ref)
     */
    private String facilitycode;
    /**
     * 店铺编码(示例值:pdd-intoyoucz)[1](@ref)
     */
    private String storecode;
    /**
     * 退货单号(示例值:RH20250220000460)[1](@ref)
     */
    private String receiptcode;
    /**
     * 仓库编码(示例值:LETS2C)[1](@ref)
     */
    private String warehousecode;
    /**
     * 退货运单号(示例值:1376811761602)[1](@ref)
     */
    private String returnwaybillcode;
    /**
     * 源退货单号(示例值:117180732225)[1](@ref)
     */
    private String sourcereturncode;
    /**
     * 源订单号(示例值:250206-088457951590214)[1](@ref)
     */
    private String sourceordercode;
    /**
     * 退货订单号(示例值:LETS-RO2025021500008714)[1](@ref)
     */
    private String returnordercode;
    /**
     * 实际退款金额(示例值:29.9)[1](@ref)
     */
    private String actualrefundamount;
    /**
     * 退货时间(ISO8601格式)[1](@ref)
     */
    private String returntime;
    /**
     * 关联时间(ISO8601格式)[1](@ref)
     */
    private String relatedat;
    /**
     * 状态码(示例值:2)[1](@ref)
     */
    private String status;
    /**
     * 创建时间[1](@ref)
     */
    private String created;
    /**
     * 创建人(示例值:api)[1](@ref)
     */
    private String createdby;
    /**
     * 最后更新时间[1](@ref)
     */
    private String lastupdated;
    /**
     * 最后更新人[1](@ref)
     */
    private String lastupdatedby;

    /**
     * 根据 id 多次查询
     */
    private String ids;

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public String getClientcode() {
        return clientcode;
    }

    public void setClientcode(String clientcode) {
        this.clientcode = clientcode;
    }

    public String getCompanycode() {
        return companycode;
    }

    public void setCompanycode(String companycode) {
        this.companycode = companycode;
    }

    public String getFacilitycode() {
        return facilitycode;
    }

    public void setFacilitycode(String facilitycode) {
        this.facilitycode = facilitycode;
    }

    public String getStorecode() {
        return storecode;
    }

    public void setStorecode(String storecode) {
        this.storecode = storecode;
    }

    public String getReceiptcode() {
        return receiptcode;
    }

    public void setReceiptcode(String receiptcode) {
        this.receiptcode = receiptcode;
    }

    public String getWarehousecode() {
        return warehousecode;
    }

    public void setWarehousecode(String warehousecode) {
        this.warehousecode = warehousecode;
    }

    public String getReturnwaybillcode() {
        return returnwaybillcode;
    }

    public void setReturnwaybillcode(String returnwaybillcode) {
        this.returnwaybillcode = returnwaybillcode;
    }

    public String getSourcereturncode() {
        return sourcereturncode;
    }

    public void setSourcereturncode(String sourcereturncode) {
        this.sourcereturncode = sourcereturncode;
    }

    public String getSourceordercode() {
        return sourceordercode;
    }

    public void setSourceordercode(String sourceordercode) {
        this.sourceordercode = sourceordercode;
    }

    public String getReturnordercode() {
        return returnordercode;
    }

    public void setReturnordercode(String returnordercode) {
        this.returnordercode = returnordercode;
    }

    public String getActualrefundamount() {
        return actualrefundamount;
    }

    public void setActualrefundamount(String actualrefundamount) {
        this.actualrefundamount = actualrefundamount;
    }

    public String getReturntime() {
        return returntime;
    }

    public void setReturntime(String returntime) {
        this.returntime = returntime;
    }

    public String getRelatedat() {
        return relatedat;
    }

    public void setRelatedat(String relatedat) {
        this.relatedat = relatedat;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getCreatedby() {
        return createdby;
    }

    public void setCreatedby(String createdby) {
        this.createdby = createdby;
    }

    public String getLastupdated() {
        return lastupdated;
    }

    public void setLastupdated(String lastupdated) {
        this.lastupdated = lastupdated;
    }

    public String getLastupdatedby() {
        return lastupdatedby;
    }

    public void setLastupdatedby(String lastupdatedby) {
        this.lastupdatedby = lastupdatedby;
    }

}

