package com.hzya.frame.sysnew.integtationTaskLivingDetails.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 集成任务-实例详情(IntegrationTaskLivingDetails)实体类
 *
 * @author makejava
 * @since 2024-05-15 14:06:41
 */
@Data
public class IntegrationTaskLivingDetailsEntity extends BaseEntity {
    /**
     * 集成任务-实例_id
     */
    private String taskLinvingId;
    /**
     * 返回结果
     */
    private String result;
    /**
     * 原始查询条件
     */
    private String queryCondition;
    /**
     * 源系统主键
     */
    private String rootAppPk;
    /**
     * 原系统单据
     */
    private String rootAppBill;
    /**
     * 最新源系统数据详情
     */
    private String rootAppNewData;
    /**
     * 最新传输信息
     */
    private String newTransmitInfo;
    /**
     * 最新推送时间
     */
    private Date newPushDate;
    /**
     * 是否补推(Y是N不是)
     */
    private String repairPust;
    /**
     * 场景id
     */
    private String senceId;
    /**
     * 最新推送状态
     */
    private String newState;
    /**
     * 单据业务日期
     */
    private String businessDate;
    /**
     * 插件id
     */
    private String pluginId;
    /**
     * 处理时间
     */
    private Date processingTime;
    /**
     * 处理备注
     */
    private String processingRemarks;
    /**
     * 处理⼈名称
     */
    private String processorName;
    /**
     * 处理⼈
     */
    private String processor;
    /**
     * 下游系统单号
     */
    private String newSystemNumber;
    /**
     * 下游系统主键
     */
    private String newSystemPrimary;
    /**
     * 备注
     */
    private String remark;
    /**
     * 扩展1
     */
    private String def1;
    /**
     * 扩展2
     */
    private String def2;
    /**
     * 扩展3
     */
    private String def3;
    /**
     * 扩展4
     */
    private String def4;
    /**
     * 扩展5
     */
    private String def5;

    private String root_app_pk_s;

    private String param_new_state;
}

