package com.hzya.frame.plugin.lets.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.plugin.lets.entity.UpdateLogisticsNoEntity;

/**
 * 更新OA物流单号
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.dao
 * @Project：kangarooDataCenter
 * @name：IUpdateLogisticsNoDao
 * @Date：2023/11/27 10:59
 * @Filename：IUpdateLogisticsNoDao
 */
public interface IUpdateLogisticsNoDao extends IBaseDao<UpdateLogisticsNoEntity, String> {
    /**
     * 正向：更新物流单号
     *
     * @throws Exception 抛出可能的异常
     */
    void updateLogisticsNo(UpdateLogisticsNoEntity updateLogisticsNo) throws Exception;

    /**
     * 反向：更新物流单号
     *
     * @throws Exception 抛出可能的异常
     */
    void updateLogisticsNoReturn(UpdateLogisticsNoEntity updateLogisticsNo) throws Exception;
}