package com.hzya.frame.plugin.lets.ofs.dao;

import com.hzya.frame.plugin.lets.ofs.entity.OfsPassiveorderDetailEntity;
import com.hzya.frame.basedao.dao.IBaseDao;

import java.util.List;

/**
 * O无源件订单中台明细表(ofs_passiveorder_detail: table)表数据库访问层
 *
 * @author makejava
 * @since 2025-03-12 09:40:26
 */
public interface IOfsPassiveorderDetailDao extends IBaseDao<OfsPassiveorderDetailEntity, String> {
    /**
     * 批量保存/更新 OFS
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatch(List<OfsPassiveorderDetailEntity> ofsPassiveorderDetailEntity) throws Exception;

    /**
     * 入库、批量保存/更新 OFS
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchByStock(List<OfsPassiveorderDetailEntity> ofsPassiveorderDetailEntity) throws Exception;

    /**
     * 退款完成、批量保存/更新 OFS
     *
     * @author liuyang
     */
    void entityInsertOrUpdateBatchByTran(List<OfsPassiveorderDetailEntity> ofsPassiveorderDetailEntity) throws Exception;
}