package com.hzya.frame.plugin.lets.plugin.sales;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.WebappApplication;
import com.hzya.frame.plugin.lets.entity.BdBusitypeEntity;
import com.hzya.frame.plugin.lets.queryvo.StartAndEndVo;
import com.hzya.frame.plugin.lets.util.QueryBdBusitypeUtil;
import com.hzya.frame.ttxofs.dto.stock.StockinOrderSearchResponse;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.plugin.sales
 * @Project：kangarooDataCenterV3
 * @name：SoSaleReturnPluginInitializerToCTest
 * @Date：2024/8/9 09:56
 * @Filename：SoSaleReturnPluginInitializerToCTest
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class SoSaleReturnPluginInitializerToCTest {

    @Autowired
    private SoSaleReturnPluginInitializerToC soSaleReturnPluginInitializerToC;

    @Autowired
    private QueryBdBusitypeUtil queryBdBusitypeUtil;

    @Test
    public void startImplement() {
//        soSaleReturnPluginInitializerToC.startImplement(null, null);
        try {
            //带优惠金额场景
//            String code = "LETS-RE2025030100000112";
//            soSaleReturnPluginInitializerToC.startImplementByCode(code, "tran");

            //无优惠金额场景
            String code = "LETS-RE2025031900000002";
            soSaleReturnPluginInitializerToC.startImplementByCode(code, "tran");
        } catch (Exception e) {
            e.printStackTrace();
        }

//        List<StartAndEndVo> startAndEndVos = soSaleReturnPluginInitializerToC.calculateCalculateEntireDayPeriod(null);
//        soSaleReturnPluginInitializerToC.startImplementStockByTime(startAndEndVos.get(0).getStart_time(), startAndEndVos.get(0).getEnd_time());

        try {
//            soSaleReturnPluginInitializerToC.startImplementByTradeTime("2024-12-23 23:05:34", "2024-12-23 23:05:34", "2");

//            soSaleReturnPluginInitializerToC.startImplementByCode("LETS-RE2025010900002384", "tran");

//            soSaleReturnPluginInitializerToC.startImplementStockByTime("2025-01-31 00:00:00", "2025-01-31 23:59:59", "1");

//            JSONObject jsonObject = new JSONObject();
//            soSaleReturnPluginInitializerToC.executeBusiness(jsonObject);

//            soSaleReturnPluginInitializerToC.startImplementByTradeTime("2024-11-01 00:00:00", "2024-11-05 23:59:59");

//            StockinOrderSearchResponse.StockinOrder stockinOrder = new StockinOrderSearchResponse.StockinOrder();

            //先退款后退货 -> 取退货时间
//            StockinOrderSearchResponse.StockinOrder.StockinH header = new StockinOrderSearchResponse.StockinOrder.StockinH();
//            header.setRefundedAt("2025-01-02 17:00:00");
//            header.setClosedAt("2025-01-03 12:01:00");
//
//            //先退货后退款 -> 取退款时间
//            StockinOrderSearchResponse.StockinOrder.StockinH header2 = new StockinOrderSearchResponse.StockinOrder.StockinH();
//            header2.setRefundedAt("2025-01-04 17:00:00");
//            header2.setClosedAt("2025-01-03 12:01:00");
//
//            String s = soSaleReturnPluginInitializerToC.timeJudgment(header2);
//            System.out.println(s);

//            soSaleReturnPluginInitializerToC.u8cOperationFlow();
        } catch (Exception e) {
            e.printStackTrace();
        }

//        BdBusitypeEntity bdBusitypeEntity1 = queryBdBusitypeUtil.queryBdBusitype("TOC销售");
//        System.out.println("TOC销售:" + bdBusitypeEntity1.getPkBusitype());
//        BdBusitypeEntity bdBusitypeEntity2 = queryBdBusitypeUtil.queryBdBusitype("TOC冲发出商品");
//        System.out.println("TOC冲发出商品:" + bdBusitypeEntity2.getPkBusitype());
//        BdBusitypeEntity bdBusitypeEntity3 = queryBdBusitypeUtil.queryBdBusitype("TOC确认收入");
//        System.out.println("TOC确认收入:" + bdBusitypeEntity3.getPkBusitype());

//        BdBusitypeEntity bdBusitypeEntity4 = queryBdBusitypeUtil.queryBdBusitype("TOC售后完成");
//        System.out.println("TOC售后完成:" + bdBusitypeEntity4.getPkBusitype());
    }
}